--If a Command has "NOTESKIN:GetMetricA" in it, that means it gets the command from the metrics.ini, else use cmd(); to define command.
--If you dont know how "NOTESKIN:GetMetricA" works here is an explanation.
--NOTESKIN:GetMetricA("The [Group] in the metrics.ini", "The actual Command to fallback on in the metrics.ini");

local t = Def.ActorFrame {
	Def.Sprite {
		Texture=NOTESKIN:GetPath( "_"..Var "Button", "Receptor Go" );
		InitCommand=function(self)
			self:effectclock("beat")
		end;
		NoneCommand=NOTESKIN:GetMetricA("ReceptorArrow", "NoneCommand");
		W5Command=NOTESKIN:GetMetricA("ReceptorArrow", "W5Command");
		W4Command=NOTESKIN:GetMetricA("ReceptorArrow", "W4Command");
		W3Command=NOTESKIN:GetMetricA("ReceptorArrow", "W3Command");
		W2Command=NOTESKIN:GetMetricA("ReceptorArrow", "W2Command");
		W1Command=NOTESKIN:GetMetricA("ReceptorArrow", "W1Command");
	};
	Def.Sprite {
		Texture=NOTESKIN:GetPath( "_"..Var "Button", "Receptor Press" );
		InitCommand=function(self)
			self:diffusealpha(0)
		end;
		PressCommand=NOTESKIN:GetMetricA("ReceptorArrow", "PressCommand");
		LiftCommand=NOTESKIN:GetMetricA("ReceptorArrow", "LiftCommand");
	};
};

local play = 1;
t[#t+1] = Def.ActorFrame {
	W1Command=function(self)
		self:queuecommand("Move")
	end;
	W2Command=function(self)
		self:queuecommand("Move")
	end;
	W3Command=function(self)
		self:queuecommand("Move")
	end;
	MoveCommand=function(self)
		play = play + 1
		if play > 15 then play = 1; end;
	end;
};

for i=1,6 do
	for i2=1,15 do
		t[#t+1] = LoadActor (NOTESKIN:GetPath( "_"..Var "Button", "Part" ))..{
			InitCommand=function(self)
				self:diffusealpha(0)
			end;
			W1Command=function(self)
				self:queuecommand("Move")
			end;
			W2Command=function(self)
				self:queuecommand("Move")
			end;
			W3Command=function(self)
				self:queuecommand("Move")
			end;
			W4Command=function(self)
				self:diffusealpha(0)
			end;
			W5Command=function(self)
				self:diffusealpha(0)
			end;
			MoveCommand=function(self)
				if play == i2 then
					self:finishtweening();
					self:diffusealpha(1);
					self:x(-1);
					self:y(-1);
					self:bounceend(1);
					self:x(30*math.random(-4,4));
					self:y(15*math.random(2,8));
					self:diffusealpha(0);
				end;
			end;
		};
	end;
end;

return t;